extern int wc;                                                                         
extern const char* allowedc;

void randp(int n, int *p);
void zprintf(const char *s);
void printspaces(bool weird = true);
void outimage1(bool surr, int ww, int hh, bool spaced = true);
void outimage2(int ww, int hh, int dx, int dy, bool spaced = true);
void rands(int l, char* buffer);
void printrands(int l);
